<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

require 'src/PHPMailer.php';
require 'src/SMTP.php';
require 'src/Exception.php';

require 'sys_session.php';

$newOrderStatus = "NEW ORDER";

$sql = "SELECT title, `value`
        FROM sys_formsubmitlog WHERE formID = '$newNum' ";

$sql = "SELECT fs.orderStatus, IFNULL(fs.username, fs.formMainUser) AS agentID, pg.productGroupName, fs.productContract, 
    fs.applicationType, fs.voicePackage, fs.customerName, fs.nric, fs.nationality, fs.dob, fs.gender, fs.address, fs.states, fs.contactNo, fs.altContactNo, fs.email, fs.brno, 
    fs.companyName, fs.directorName, fs.directorNRIC, fs.installDate, fs.orderNo, fs.timeAccNo, fs.unifiAccNo, fs.unifiTelNo, fs.streamyxAccNo, fs.maxisAccNo, 
    fs.citybroadbandAccNo, fs.citybroadbandTelNo, fs.digiAccNo, fs.runnerThumbprint, fs.appointmentDate, fs.portalID, fs.keyInBy, fs.remarkAgent, fs.remarkAdmin, 
    fs.activationDate, fs.deactivationDate, fs.serviceID, fs.eFormNo, fs.simICCID,
    pr.id AS productID, pr.productName AS productName, pr.productPrice AS productPrice, pr.productCommission AS productCommission
    FROM sys_formSubmit AS fs
    LEFT JOIN sys_admin AS sa ON (sa.username = fs.username OR sa.username = fs.formMainUser)
    LEFT JOIN sys_productgroup AS pg ON pg.id = fs.productGroupName
    LEFT JOIN sys_product AS pr ON pr.id = fs.productName
    WHERE formID = '$newNum' ";

$result = $conn->query($sql);
$row = $result->fetch_assoc();
extract($row);

//Order Summary START

$orderSummary = "
<table border='1' cellpadding='6' cellspacing='0' style='font-size:11'>
    <tr>
        <td width='200px'>Form Status</td>
        <td width='400px'>: $newOrderStatus</td>
    </tr>
    <tr><td>Package</td><td>: $productName</td></tr>
    <tr><td>Application Type</td><td>: $applicationType</td></tr>";

if ($customerName != "") { 
    //Customer
    $orderSummary .= "
    <tr><td>Customer Name</td><td>: $customerName</td></tr>
    <tr><td>NRIC</td><td>: $nric</td></tr>
    <tr><td>Nationality</td><td>: $nationality</td></tr>
    <tr><td>DOB</td><td>: $dob</td></tr>
    <tr><td>Gender</td><td>: $gender</td></tr>";

    $cname = $customerName;

} else { 
    //Company
    $orderSummary .= "
    <tr><td>Company Name</td><td>: $companyName</td></tr>
    <tr><td>BRNO</td><td>: $brno</td></tr>
    <tr><td>Director Name</td><td>: $directorName</td></tr>
    <tr><td>Director NRIC</td><td>: $directorNRIC</td></tr>";

    $cname = $companyName;

}

$orderSummary .= "<tr><td>Installation Address</td><td>: $address</td></tr>";

if (in_array($productGroupName, array("2", "3", "4", "5", "6", "7", "8", "9", "10"))) {
    $orderSummary .= "<tr><td>State</td><td>: $states</td></tr>";
}

$orderSummary .= "
    <tr><td>Contact No</td><td>: $contactNo</td></tr>
    <tr><td>Alternate Contact No</td><td>: $altContactNo</td></tr>
    <tr><td>Email Address</td><td>: ".strtolower($email)."</td></tr>";


if ($productGroupName == '3') { //Time Home
    $orderSummary .= "<tr><td>Voice Package</td><td>: $voicePackage</td></tr>";
}

$orderSummary .= "<tr><td>Preferred Installation Date</td><td>: $installDate</td></tr>";

if (in_array($productGroupName, array("2", "5", "6", "9"))) {
    $orderSummary .= "<tr><td>Thumbprint Runner</td><td>: $runnerThumbprint</td></tr>";
}

$orderSummary .= "<tr><td>Order No</td><td>: $orderNo</td></tr>";

if ($productGroupName == '2') { //Unifi Home
    $orderSummary .= "
    <tr><td>eForm No</td><td>: $eFormNo</td></tr>
    <tr><td>Unifi Account No</td><td>: $unifiAccNo</td></tr>
    <tr><td>Unifi Tel No</td><td>: $unifiTelNo</td></tr>";

} elseif ($productGroupName == '3') { //Time Home
    $orderSummary .= "<tr><td>Time Account No</td><td>: $timeAccNo</td></tr>";

} elseif ($productGroupName == '4') { //Maxis Home
    $orderSummary .= "<tr><td>Maxis Account No</td><td>: $maxisAccNo</td></tr>";

} elseif ($productGroupName == '5') { //Streamyx Home
    $orderSummary .= "
    <tr><td>eForm No</td><td>: $eFormNo</td></tr>
    <tr><td>Streamyx Account No</td><td>: $streamyxAccNo</td></tr>";

} elseif ($productGroupName == '6') { //Unifi Business
    $orderSummary .= "
    <tr><td>eForm No</td><td>: $eFormNo</td></tr>
    <tr><td>Unifi Account No</td><td>: $unifiAccNo</td></tr>
    <tr><td>Unifi Tel No</td><td>: $unifiTelNo</td></tr>";

} elseif ($productGroupName == '7') { //Time Business
    $orderSummary .= "<tr><td>Time Account No</td><td>: $timeAccNo</td></tr>";

} elseif ($productGroupName == '8') { //Maxis Business
    $orderSummary .= "<tr><td>Maxis Account No</td><td>: $maxisAccNo</td></tr>";

} elseif ($productGroupName == '9') { //Streamyx Business
    $orderSummary .= "
    <tr><td>eForm No</td><td>: $eFormNo</td></tr>
    <tr><td>Streamyx Account No</td><td>: $streamyxAccNo</td></tr>";

} elseif ($productGroupName == '10') { //Unifi Mobile
    $orderSummary .= "<tr><td>SIM ICCID</td><td>: $simICCID</td></tr>";

}

if (in_array($productGroupName, array("2", "3", "4", "5", "6", "7", "8", "9"))) {
    $orderSummary .= "<tr><td>Appointment Date</td><td>: $appointmentDate</td></tr>";
}

$orderSummary .= "
    <tr><td>Portal ID</td><td>: $portalID</td></tr>
    <tr><td>Order Key In By</td><td>: $keyInBy</td></tr>
    <tr><td>Remark by Agent</td><td>: $remarkAgent</td></tr>
    <tr><td>Remark by Admin</td><td>: $remarkAdmin</td></tr>";

$orderSummary .= "
</table>";

//Order Summary END

$messageBody .= "<br/><br/>$orderSummary";
$messageBody .= "<br/><br/>Best Regards,";
$messageBody .= "<br/>WIFIGROUP Team";

//$messageBody = nl2br($messageBody);


if ($sendMail != 'no') {

    // NEW

    // $to = "admin@wifigroup.com.my";
    $to = "raveen.shinjiru@gmail.com";

    $subject = "Order Registered | #$newNum | $cname";

    $message = "
    <html>
    <body>
    
    Dear Admin,<br/>
    New order has been successfully registered.

    $messageBody
    
    </body>
    </html>
    ";
    
    $headers = "MIME-Version: 1.0" . "\r\n";
    $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
    $headers .= 'From: <noreply@wifigroup.com.my>' . "\r\n";

    mail($to, $subject, $message, $headers);

}